umbrello: DontAskAgainWidget Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
DontAskAgainWidget Class Reference

`#include <dontaskagain.h>`

Inheritance diagram for DontAskAgainWidget:

## Public Member Functions
| DontAskAgainWidget (QList< DontAskAgainItem * > &items, QWidget *parent=0)
bool | apply ()
void | setDefaults ()

## Protected Slots
void | slotToggled (bool state)

## Protected Member Functions
void | addItem (DontAskAgainItem *item)

## Protected Attributes
QVBoxLayout * | m_layout
QList< DontAskAgainItem * > & | m_items

## Detailed Description

The DontAskAgainWidget provides a graphical user interface to change 'dont ask again' settings and could be embedded in dialogs or dialog pages.

After adding the widget to a dialog call apply() to apply changed values and call setDefaults() to reset changes to default values, which is all messages enabled.

The widget is designed as group box with embedded check boxes.

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ DontAskAgainWidget()

DontAskAgainWidget::DontAskAgainWidget | ( | QList< DontAskAgainItem * > & | items,
|  | QWidget * | parent = `0`
| ) |  |

## Member Function Documentation

## ◆ addItem()

void DontAskAgainWidget::addItem | ( | DontAskAgainItem * | item | ) |
| protected

## ◆ apply()

bool DontAskAgainWidget::apply | ( |  | ) |

## ◆ setDefaults()

void DontAskAgainWidget::setDefaults | ( |  | ) |

## ◆ slotToggled

void DontAskAgainWidget::slotToggled | ( | bool | state | ) |
| protectedslot

## Member Data Documentation

## ◆ m_items

QList<DontAskAgainItem *>& DontAskAgainWidget::m_items
| protected

## ◆ m_layout

QVBoxLayout* DontAskAgainWidget::m_layout
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/dontaskagain.h
- umbrello/dialogs/dontaskagain.cpp